{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine forward_event, Set_Property\r\ndeclare function set_eventstatus, get_eventstatus, Get_Property\r\n\r\nPrevSelPos\t= Get_Property(CtrlEntId,\"PREVSELPOS\")\r\nPrevCol \t= PrevSelPos<1>\r\nPrevRow \t= PrevSelPos<2>\r\n\r\nCurrPos = Get_Property(CtrlEntId,'SELPOS')\r\nCurrCol = CurrPos<1>\r\nCurrRow = CurrPos<2>\r\n\r\nListData= Get_Property(CtrlEntId,'LIST')\r\n\r\nRowData = ListData<CurrRow>\r\n\r\nIF RowData<1,4> NE '' THEN\r\n\tSet_Property(CtrlEntId,\"SELPOS\",1:@FM:CurrRow + 1)\r\nEND\r\n\r\nIF CurrCol = 5 THEN\r\n\tSet_Property(CtrlEntId,\"SELPOS\",6:@FM:CurrRow)\r\nEND\r\n\r\nreturn 1\r\n\r\n/*\r\n\r\ndeclare subroutine forward_event\r\ndeclare function set_eventstatus, get_eventstatus\r\n\r\nVoid = set_eventstatus(0)\r\nforward_event( NextColumn, NextRow )\r\nErr = get_eventstatus(Err)\r\nif Err then\r\n   return 0\r\nend\r\nif NextColumn = 5 then\r\n   NextColumn = 6\r\nend\r\n.pre_epi_sig_info->selpos = NextColumn:@fm:NextRow\r\nreturn 0\r\n*/"
        }
    }
}